Subject: RE: [Sip] What exactly is "response context"?

From: "Vishal Phirke" <[email-masked]>
Date: Tue, 15 Apr 2003 10:26:44 -0400

I doubt this applies to conferencing case. The forking is done by proxy to
reach different contact addresses of the same user as per AOR record.  So,
being stateful, it maintains a response context for the forwarded request
and stores all the incoming responses from various paths and forwards the
best one.
-Vishal
P.S: sip-implementors list is the better place to discuss such issues.

                      "Patrick Lam"                                                                        
                      <[email-masked]        To:       "'Jonathan Rosenberg'" <[email-masked]>  
                      rg>                      cc:       <[email-masked]>                                    
                      Sent by:                 Subject:  RE: [Sip] What exactly is "response context"?     
                      [email-masked]                                                                    
                      g                                                                                    

                      04/15/2003 05:37                                                                     
                      AM                                                                                   

Understood.

But why does the proxy not forward all the responses to the UAC (each of
them will be identified by the dialog ID), and let the UAC handle the
responses separately?  E.g. someone in the conference requiring
authentication may send 401, while the others are all sending 2xx's.  If
the UAC also receives 401 from that particular user, it can follow-up
with appropriate authentication.

From my gut feeling, choosing the *best* response among the response
context is just not a perfect way to handle forking.

I must be wrong, however.

Patrick Lam

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Tuesday, April 15, 2003 11:09 AM
> To: Patrick Lam
> Cc: [email-masked]
> Subject: Re: [Sip] What exactly is "response context"?
>
> It is defined in section 16.6:
>
> >   A stateful proxy must have a mechanism to maintain the target set
as
> >    responses are received and associate the responses to each
forwarded
> >    request with the original request.  For the purposes of this
model,
> >    this mechanism is a "response context" created by the proxy layer
> >    before forwarding the first request.
>
> When a proxy forks, it will get responses for each forked response.
> Those are held in the response context.
>
> -Jonathan R.
>
> Patrick Lam wrote:
> > Dear all:
> >
> > What exactly is "response context" being mentioned in RFC 3261
(p.107)?
> > Why would a response context contain multiple responses (so that a
proxy
> > has to choose the best one)?  Should there be only one appropriate
> > response to be forwarded by the proxy at any particular time?  For
> > example, after receiving a response downstream, the proxy would (at
> > least for most cases) forward this same response upstream, right?
> >
> > I think I am missing some important concept about response context
here.
> > Can someone please explain?
> >
> > Thanks very much in advance.
> >
> > Patrick Lam
> >
>
> --
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Scientist                             Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip